Page MenuHomeFreeBSD

Update lang/ghc to 8.6.3.
ClosedPublic

Authored by arrowd on Jan 1 2019, 7:40 PM.

Details

Summary

This diff updates lang/ghc to 8.6.3, as well as many hs-* ports.
Some of them are marked BROKEN, others are additionally DEPRECATED with EXPIRATION_DATE=31.01.2019.

devel/stack is also marked BROKEN for a while, I'm still working on it

Test Plan

poudriere bulk lang/ghc */hs-* textproc/cgrep passed on 12.0-RELEASE/amd64 and 12.0-RELEASE/i386

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

arrowd created this revision.Jan 1 2019, 7:40 PM

Before anyone complains: I requsted a big diff :)

arrowd edited the test plan for this revision. (Show Details)Jan 2 2019, 4:18 PM
arrowd updated this revision to Diff 52496.Jan 2 2019, 8:31 PM
  • Unbreak stack and update it to 1.9.3.
tcberner accepted this revision.Jan 6 2019, 10:29 AM

Ship it with bumps :)

This revision is now accepted and ready to land.Jan 6 2019, 10:29 AM
This revision was automatically updated to reflect the committed changes.